Package com.google.gwt.user.client.rpc

## Class InvocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.gwt.user.client.rpc.InvocationException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ServiceDefTarget.NoServiceEntryPointSpecifiedException`, `StatusCodeException`

      public class InvocationException
      extends java.lang.RuntimeException

  Occurs when a service invocation did not complete cleanly.

  A service invocation completes cleanly if

  1. A response is returned from the service, or
  2. An exception generated within the service is successfully received and re-thrown in the client.

  A service invocation can fail to complete cleanly for many reasons, including

  1. The network connection to the server is unavailable
  2. The host web server is not available
  3. The server is not available

  Note that it is possible for this exception to be thrown even if the service was invoked successfully on the server. This could be the case, for example, if a network failure happened after the invocation request was sent but before the response was received.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvocationException​(java.lang.String s)` | Constructs an exception with the given description.
    `InvocationException​(java.lang.String s, java.lang.Throwable cause)` | Constructs an exception with the given description and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvocationException

          public InvocationException​(java.lang.String s)

      Constructs an exception with the given description.
      Parameters:
        `s` - the exception's description.

    - #### InvocationException

          public InvocationException​(java.lang.String s,
                                     java.lang.Throwable cause)

      Constructs an exception with the given description and cause.
      Parameters:
        `s` - the exception's description.
        `cause` - the exception's cause.